Package org.drinkless.tdlib

# Class TdApi.ReportChatSponsoredMessageOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReportChatSponsoredMessageOption

Enclosing class:
  TdApi

public static class TdApi.ReportChatSponsoredMessageOption extends TdApi.Object
Describes an option to report a sponsored message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `id`
  Unique identifier of the option.
  `String`
  `text`
  Text of the option.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportChatSponsoredMessageOption()`
  Describes an option to report a sponsored message.
  `ReportChatSponsoredMessageOption(byte[] id, String text)`
  Describes an option to report a sponsored message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public byte[] id
    Unique identifier of the option.

  - ### text

    public String text
    Text of the option.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportChatSponsoredMessageOption

    public ReportChatSponsoredMessageOption()
    Describes an option to report a sponsored message.

  - ### ReportChatSponsoredMessageOption

    public ReportChatSponsoredMessageOption(byte[] id, String text)
    Describes an option to report a sponsored message.
    Parameters:
      `id` - Unique identifier of the option.
      `text` - Text of the option.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR